Creating new Tool
POST /api/v1/tools
Creates a new tool for the current Standard Registry user.
Authentication: Bearer token required (Authorization: Bearer <token>)
Permission: Permissions.TOOLS_TOOL_CREATE
Request
Request Body
{
"name": "My Tool",
"description": "Tool description",
"config": {
"blockType": "tool",
"children": []
}
}Field
Type
Required
Description
name
string
Yes
Human-readable name of the tool
description
string
No
Brief description of the tool's purpose
config
object
Yes
Tool configuration object; blockType must be "tool"
Response
Success Response
Status: 201 Created
Error Responses
Status
Description
401 Unauthorized
Missing or invalid token
403 Forbidden
Insufficient permissions
422 Unprocessable Entity
Invalid tool config (e.g., missing or incorrect blockType)
500 Internal Server Error
Unexpected server failure
Last updated
Was this helpful?